aggregate_properties_by_list
aggregate_properties
Object Aggregation Functions
PHP Manual

# aggregate_properties_by_regexp

(PHP 4 >= 4.2.0)

aggregate_properties_by_regexp — Selective class properties aggregation to an object using a regular expression

### Description

void aggregate_properties_by_regexp ( object `$object` , string `$class_name` , string `$regexp` [, bool `$exclude` ] )

Aggregates properties from a class to an existing object using a regular expression to match their names.

The properties whose names start with an underscore character (_), which are considered private to the aggregated class, are always excluded.

### Parameters

`object`

`class_name`

`regexp`

`exclude`

  The optional parameter `exclude` is used to decide whether the regular expression will select the names of class properties to include in the aggregation (i.e. `exclude` is `FALSE`, which is the default value), or to exclude from the aggregation (`exclude` is `TRUE`).

### Return Values

No value is returned.

### See Also

- aggregate()
- aggregate_methods()
- aggregate_methods_by_list()
- aggregate_methods_by_regexp()
- aggregate_properties()
- aggregate_properties_by_list()
- aggregate_info()
- deaggregate()

aggregate_properties_by_list
aggregate_properties
Object Aggregation Functions
PHP Manual